收藏
回答

我使用V1.02.1907300开发工具打包后小程序无法运行,如何解决?


使用旧版本开发工具 如:1.02.1902010 打包上传就正常。。。。IDE中预览正常,使用真机调试也正常,只有打包上传后就出现问题,不论是体验版,还是正式审核后的版本,都出现这个问题。

开发机系统:win10 X64 1903版本 。



最后一次编辑于  2019-08-26
回答关注问题邀请回答
收藏

5 个回答

  • 社区技术运营专员-小柿子
    社区技术运营专员-小柿子
    2019-08-26

    检查下这个的路径?

    2019-08-26
    赞同
    回复 7
    查看更多(2)
  • 挺
    2019-10-13

    这个版本就是有问题,换老版本或者换预发布版 RC Build (1.02.1910121)就好了

    2019-10-13
    赞同
    回复
  • A成悦数码
    A成悦数码
    2019-08-30

    这个问题好烦啊,目前重新下载了老版本工具可以正常用


    2019-08-30
    赞同
    回复
  • 王的强
    王的强
    2019-08-27

    经过我不断尝试,大概可以使用如下步骤复现此问题:

    1、新建一个带 app ID 的小程序项目(为了可以打包上传代码)

    2、在app.js 中引入一个js文件如:

    var toast = require("./utils/appToast/appToast.js");

    3、编译通过后,打包上传,设为体验版,使用手机扫码加载此体验版,便可以复现次问题

    4、微信 7.0.6 手机:小米6 android 版本9 ,iphone xr  ios12 ,华为。。。。加载此体验版都能复现次问题。

    估计是 V1.02.1902010  IDE 打包时刻,没有正确解析 app.js 中 require 的路径文件字符串导致此问题。

    在app.js中,不论使用绝对路径还是相对路径,都无法正确打包  require 的文件。

    补充:

    再次尝试了下,应该跟 “ appToast/appToast.js ”   这个路径组合有关系,换成其他文件名或路径应该不会出现这个问题。


    2019-08-27
    赞同
    回复
  • ʚ青哥ɞ
    ʚ青哥ɞ
    2019-08-26

    试试取消勾选‘上传时进行代码保护’

    2019-08-26
    赞同
    回复 1
    • 王的强
      王的强
      2019-08-26
      感谢回复,代码保护、压缩混淆、补全,这些都没有选中。
      2019-08-26
      回复
登录 后发表内容
问题标签